Bukkit ChatColor 5.6

ChatColor, Staff Chat, Chat Logger, CommandSpy, Spam Filter and a Broadcaster in one plugin!

  1. Please output the language file
    i wanna change the language in the GUI menu

    It's a great help for my players
    :p
     
  2. Will do as soon as possible, thanks for the suggestion!
     
  3. OLLIE-Z4 updated ChatColor with a new update entry:

    More Configuration Options

    Read the rest of this update entry...
     
  4. Completed, Take a look at the last two updates
    https://www.spigotmc.org/resources/chatcolor.42060/updates
    I will be adding custom messages so everything will be customizable soon. Thanks for the suggestions!
     
  5. Thank you for your consideration and modification of every opinion
    I'm from China but I really think you're a very responsible developer
    I expect you to develop a better plugin
    I will continue to focus on you
    To pay tribute to this
     
  6. OLLIE-Z4 updated ChatColor with a new update entry:

    Chat Filter and Console logging

    Read the rest of this update entry...
     
  7. Please add a different command for /cc. Our Bungee chatclear system overrules that command which makes it impossible to open the gui.
     
  8. Umm tried /chatcolor &6 and nothing happened.

    [​IMG]
     
  9. Have you ran /Debugmycolorfile and deleted the old config?
     
  10. One more thing, do they have the permossion Chat.Color? It is required to use it
     
  11. Will be added by next update
     
  12. Tried it and no difference. But I'm OP. Do I still need the permissions?
     
  13. It should work then, pm me your server IP and I'll come take a look as soon as I can get on pc
     
  14. OLLIE-Z4 updated ChatColor with a new update entry:

    /Chat

    Read the rest of this update entry...
     
  15. [23:13:17 ERROR]:无法在文件夹'plugins'中加载'plugins \ Chat聊天颜色'
    org.bukkit.plugin.InvalidPluginException:java.lang.NoClassDefFoundError:org / bukkit / craftbukkit / libs / jline / internal / InputStreamReader
    在org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:131)〜[PaperSpigot-latest.jar:git-Paper-1140]
    在org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:328)〜[PaperSpigot-latest.jar:git-Paper-1140]
    在org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251)[PaperSpigot-latest.jar:git-Paper-1140]
    在org.bukkit.craftbukkit.v1_12_R1.CraftServer.loadPlugins(CraftServer.java:303)[PaperSpigot-latest.jar:git-Paper-1140]
    at net.minecraft.server.v1_12_R1.DedicatedServer.init(DedicatedServer.java:223)[PaperSpigot-latest.jar:git-Paper-1140]
    at net.minecraft.server.v1_12_R1.MinecraftServer.run(MinecraftServer.java:615)[PaperSpigot-latest.jar:git-Paper-1140]
    在java.lang.Thread.run(Unknown Source)[?:1.8.0_131]
    引起的:java.lang.NoClassDefFoundError:org / bukkit / craftbukkit / libs / jline / internal / InputStreamReader
    在java.lang.Class.forName0(Native Method)〜[?:1.8.0_131]
    在java.lang.Class.forName(未知来源)〜[?:1.8.0_131]
    在org.bukkit.plugin.java.PluginClassLoader。<init>(PluginClassLoader.java:65)〜[PaperSpigot-latest.jar:git-Paper-1140]
    在org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:127)〜[PaperSpigot-latest.jar:git-Paper-1140]
    ... 6更多
    引起的:java.lang.ClassNotFoundException:org.bukkit.craftbukkit.libs.jline.internal.InputStreamReader
    在org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:92)〜[PaperSpigot-latest.jar:git-Paper-1140]
    在org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:87)〜[PaperSpigot-latest.jar:git-Paper-1140]
    在java.lang.ClassLoader.loadClass(Unknown Source)〜[?:1.8.0_131]
    在java.lang.ClassLoader.loadClass(Unknown Source)〜[?:1.8.0_131]
    在java.lang.Class.forName0(Native Method)〜[?:1.8.0_131]
    在java.lang.Class.forName(未知来源)〜[?:1.8.0_131]
    在org.bukkit.plugin.java.PluginClassLoader。<init>(PluginClassLoader.java:65)〜[PaperSpigot-latest.jar:git-Paper-1140]
    在org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:127)〜[PaperSpigot-latest.jar:git-Paper-1140]
    ... 6更多
     
  16. What version are you using?
     
  17. 我用paperpigot 1.12